2012-07-03 56 views

回答

2

导轨是一颗宝石。因此,您可以使用以下方式进行更新:

gem install rails -v 2.3.14 

这将安装当前版本的Rails 2行。如果这不起作用,你首先必须安装Rubygems。请参阅Ubuntu Ruby Help Page以了解如何执行此操作。

当前版本是3.2。

gem install rails # (chooses the latest automatically) 

或:你可以安装它

gem install rails -v 3.2.6 # latest today 

如果你有一个Rails应用程序,你还需要改变你的Gemfile(它是在应用程序的根文件夹)。

从版本2更改为3可能是一项艰巨的任务。请参阅Railscast on Upgrading to Rails 3了解更多信息。

+0

我可以删除并重新开始吗? – LeBlaireau

+0

我很确定,如果我理解你的问题。通常不需要重写完整的升级应用程序。但是,如果您刚开始编写Rails 2应用程序,则不应继续使用它并从头开始创建Rails 3应用程序。 –

0

Rails 3引入了一些变化,我祝你好运,因为我的经验是一件很痛苦的事情。但是,我建议通过访问railscasts.com并观看episode #255 - Upgrading to to Rails 3 part 1开始。

如果我没有记错,大部分都会涉及到下载rails gem install rails -v 3.2.6,然后在你的目录下运行rails new .,并确保你不重写你所需要的。然后确保你的宝石是最新的和兼容的,如果不是升级它们或完全替换它们做同样的事情。